Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
screenshot
SERP API Page Screenshot
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/screenshot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "task_id": "<string>",
  "browser_preset": "<string>",
  "browser_screen_width": 123,
  "browser_screen_height": 123,
  "browser_screen_scale_factor": 123,
  "page": 123
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/serp/screenshot"

payload = {
"task_id": "<string>",
"browser_preset": "<string>",
"browser_screen_width": 123,
"browser_screen_height": 123,
"browser_screen_scale_factor": 123,
"page": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task_id: '<string>',
browser_preset: '<string>',
browser_screen_width: 123,
browser_screen_height: 123,
browser_screen_scale_factor: 123,
page: 123
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/serp/screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].id": "<string>",
  "tasks[].status_code": 123,
  "tasks[].status_message": "<string>",
  "tasks[].result_count": 123,
  "tasks[].path": [
    "<string>"
  ],
  "tasks[].data": {},
  "tasks[].result": [
    "<string>"
  ],
  "tasks[].result[].items_count": 123,
  "tasks[].result[].items": [
    "<string>"
  ],
  "tasks[].result[].items[].image": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
task_id
string
required

Unique identifier of the associated task in UUID format; can be used within 7 days

browser_preset
string

Browser resolution preset: desktop, tablet, or mobile

browser_screen_width
integer

Browser resolution width; range 240-9999

browser_screen_height
integer

Browser resolution height; range 240-9999

browser_screen_scale_factor
number

Browser scale factor; range 0.5-3

page
integer

SERP page number to screenshot; default 1

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total task cost, USD

tasks
string[]

Array of tasks

tasks[].id
string

Task identifier in UUID format

tasks[].status_code
integer

Task status code

tasks[].status_message
string

Task status message

tasks[].result_count
integer

Number of elements in the result array

tasks[].path
string[]

URL path

tasks[].data
object

Contains the same parameters specified in the POST request

tasks[].result
string[]

Array of results

tasks[].result[].items_count
integer

Number of items in the results array

tasks[].result[].items
string[]

Items array

tasks[].result[].items[].image
string

URL of the page screenshot on DataForSEO storage